Bug 523981 - Cannot boot Rawhide in qemu
Summary: Cannot boot Rawhide in qemu
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 12
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-17 13:42 UTC by Christopher Beland
Modified: 2010-12-05 06:22 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-05 06:22:41 UTC


Attachments (Terms of Use)
Screenshot 1 from first run (6.93 KB, image/png)
2009-09-19 21:15 UTC, Christopher Beland
no flags Details
Screenshot 2 from first run (6.72 KB, image/png)
2009-09-19 21:16 UTC, Christopher Beland
no flags Details
Screenshot 1 from second run (3.33 KB, image/png)
2009-09-19 21:16 UTC, Christopher Beland
no flags Details
Screenshot 2 from second run (6.56 KB, image/png)
2009-09-19 21:17 UTC, Christopher Beland
no flags Details
Serial console output from desktop-i386-20090921.16.iso run (20.53 KB, text/plain)
2009-09-24 18:46 UTC, Christopher Beland
no flags Details
Serial console output from F12-Snap3-i686-Live.iso (23.63 KB, application/octet-stream)
2009-09-24 22:39 UTC, Christopher Beland
no flags Details
Serial console output from desktop-i386-20100224.18.iso, qemu-0.11.0-13.fc12.i686 (21.31 KB, text/plain)
2010-02-26 23:50 UTC, Christopher Beland
no flags Details

Description Christopher Beland 2009-09-17 13:42:39 UTC
Hoping to do some easy Rawhide testing, I downloaded http://alt.fedoraproject.org/pub/alt/nightly-composes/desktop/desktop-i386-20090916.16.iso and following the instructions at https://fedoraproject.org/wiki/Testing/qemu#Testing_ISO_Images ran "qemu -cdrom desktop-i386-20090916.16.iso".  It got past the grub phase, but even after leaving it alone while running errands around town, it never got to the login screen.  When I returned, the virtual screen was blank, but if I hit Enter, a pure white bar appeared at the bottom, ending in "Fedora 11.91".  qemu was using 100% of the CPU with no visual indication it was making any progress.

Host version: qemu-0.10.6-5.fc11.i586

Comment 1 Joachim Frieben 2009-09-19 17:07:09 UTC
What happens if you remove "rhgb quiet" from the kernel option line?

Comment 2 Christopher Beland 2009-09-19 21:15:43 UTC
Created attachment 361785 [details]
Screenshot 1 from first run

I did two runs, both of which produced output that scrolled off the virtual screen.  I have two screenshots of each.

Comment 3 Christopher Beland 2009-09-19 21:16:11 UTC
Created attachment 361786 [details]
Screenshot 2 from first run

Comment 4 Christopher Beland 2009-09-19 21:16:41 UTC
Created attachment 361787 [details]
Screenshot 1 from second run

Comment 5 Christopher Beland 2009-09-19 21:17:10 UTC
Created attachment 361788 [details]
Screenshot 2 from second run

Comment 6 Christopher Beland 2009-09-19 21:18:41 UTC
I forgot to mention, these two runs were with F12-Snap3-i686-Live.iso.

Comment 7 Chuck Ebbert 2009-09-24 03:06:12 UTC
Can you capture the full output by adding '-serial file:<filename>' to the qemu options and then adding 'console=ttyS0' to the kernel boot options (still removing 'rhgb quiet')?

Comment 8 Christopher Beland 2009-09-24 18:46:28 UTC
Created attachment 362554 [details]
Serial console output from desktop-i386-20090921.16.iso run

Aha, I was hoping there was a way to do that.

Comment 9 Christopher Beland 2009-09-24 22:39:18 UTC
Created attachment 362579 [details]
Serial console output from F12-Snap3-i686-Live.iso

This fails in a different way.  I let this run for about 2.5 hours; the last few lines printed took many minutes.

Comment 10 Bug Zapper 2009-11-16 12:33:38 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 11 Christopher Beland 2010-02-26 23:50:45 UTC
Created attachment 396702 [details]
Serial console output from desktop-i386-20100224.18.iso, qemu-0.11.0-13.fc12.i686

Testing more recent releases, I'm still unable to run desktop-i386-20100224.18.iso (Fedora 14 Rawhide) under qemu-0.11.0-13.fc12.i686 (kernel-2.6.33-0.47.rc8.git1.fc13.i686)

I'm getting lots of errors like:

udevd[76]: worker [109] unexpectedly returned with status 0x0100

Full serial console output attached.

Comment 12 Bug Zapper 2010-11-04 09:57:34 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 13 Bug Zapper 2010-12-05 06:22:41 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.